#!/bin/sh
gmtset ANNOT_FONT_SIZE_PRIMARY 15
gmtset GRID_PEN_PRIMARY 0.2p
proj=X-8/3.5
projr=X-8/-3.5
proj2=X-8/3.0
ofs=118
yrse=9/21
c1=black
c1b=129/129/129
c2=red
c2b=255/80/80
c3=blue
wc=7
wc2=7
wc3=16
fs=15
dx1=23.7
dx2=6.2
dx3=20.5

flag=0
if [ $flag == 1 ]; then
/home/obase/bin/ixv /mnt/clm06/abeken/model/icies/nature2013/outis.I1031a2-2_sx8r/GlobalSeries.NA d 7 - 2,5 / > na.txt
/home/obase/bin/ixv /mnt/clm06/abeken/model/icies/nature2013/outis.I1031a2-2_sx8r/GlobalSeries.EA d 7 - 2,5 / > ea.txt
paste na.txt ea.txt > tmp.txt 
awk '{print $3/31556926, $2+$5}' tmp.txt |  head -n 4063 | tail -n 4000 > na.txt # unit. [m3]
rm -f na_rate.txt
i=1
while [ $i -lt 4000 ]
do
j=`expr $i + 10`
head -n $i na.txt | tail -n 1 > tmp.txt
head -n $j na.txt | tail -n 1 >> tmp.txt
awk '{a+=$1}{b=$2}{c+=$2}{d=$1} END{print a/NR, -(2*b-c)*0.000001/(2*d-a)/31556926;}' tmp.txt >> na_rate.txt #convert ice m3/a -> Sv [Mega freshwater m3/sec]. 
i=`expr $i + 1`
done
fi

flag=0
if [ $flag == 1 ]; then
i=20
rm -f glac1d.txt
while [ $i -lt 280 ]
do
j=`expr $i + 10`
head -n $i ../otherdata/GLAC-1D_fwf_uniform.txt | tail -n 1 > tmp.txt
head -n $j ../otherdata/GLAC-1D_fwf_uniform.txt | tail -n 1 >> tmp.txt
awk '{a+=$1}{b=$2}{c+=$2}{d=$1} END{print a/NR, -(2*b-c)*1e9/(2*d-a)/31556926/1000;}' tmp.txt >> glac1d.txt #convert kg*1e-18/100a -> Sv [Mega m3/sec]. 
i=`expr $i + 1`
done
fi

flag=0
if [ $flag == 1 ]; then
rm -f T2-fwfflux.txt
i=121
while [ $i -lt 1510 ]
do
head -n $i ../otherdata/T2-fwfFlux.txt | tail -n 101 > tmp.txt
cp tmp.txt tmp2.txt
awk '{a+=$1}{b+=$2}{c+=$3}{d+=$4} END{print a/NR, b/NR, c/NR, d/NR }'  tmp.txt >> T2-fwfflux.txt #convert m3/a -> Sv [Mega m3/sec]. 
i=`expr $i + 20`
done
fi

flag=0
if [ $flag == 1 ]; then
rm -f sprattlisiecki.txt
i=15
while [ $i -lt 200 ]
do
head -n $i ../proxydata/Sea-level-stack.tab | tail -n 2 | awk '{a+=$1}{b=$4}{c+=$4}{d=$1} END{print a/NR,-4e14*(2*b-c)/(2*d-a)/31556926/1e9;}' >> sprattlisiecki.txt
i=`expr $i + 1`
done
fi

flag=0
if [ $flag == 1 ]; then
i=110
rm -f bintanja2008.txt
while [ $i -lt 1600 ]
do
j=`expr $i + 10`
head -n $i ../proxydata/bintanja2008.txt | tail -n 1 > tmp.txt
head -n $j ../proxydata/bintanja2008.txt | tail -n 1 >> tmp.txt
awk '{a+=$1}{b=$9}{c+=$9}{d=$1} END{print a/NR, -4e14*(2*b-c)/(2*d-a)/31556926/1e9;}' tmp.txt >> bintanja2008.txt #convert kg*1e-18/100a -> Sv [Mega m3/sec]. 
i=`expr $i + 1`
done
fi

bot=0
top=24
echo 14.7 $bot > ba.txt
echo 14.7 $top >> ba.txt
echo 11.6 $top >> ba.txt
echo 11.6 $bot >> ba.txt
echo 14.7 $bot >> ba.txt
echo 911.6 $bot > yd.txt
echo 911.6 $top >> yd.txt
echo 10.5 $bot > mis5e.txt
echo 10.5 $top >> mis5e.txt
gray=219/219/219 

#PROXY
region=$yrse/-3.5/2
psxy -JX-8/26 -R$yrse/$bot/$top  ba.txt -G$gray -K -P -Y2.25 -N > test.eps
psxy -J -R yd.txt -W3,black,--- -K -O -N >> test.eps
psxy -J -R mis5e.txt -W3,red,--- -K -O -N >> test.eps
psxy -JX-8/26 -R$yrse/$bot/$top  ba.txt -G$gray -K -O -D8.25/0 >> test.eps
psxy -J -R yd.txt -W3,black,--- -K -O -N -D8.25/0 >> test.eps
psxy -J -R mis5e.txt -W3,red,--- -K -O -N -D8.25/0 >> test.eps
#awk -F, '{print $1*0.001, $8}' ../proxydata/bereiter2018_sourcetofigure1.csv | psxy -J$proj -R$region -K -W$wc,$c1 -BWSa2/g8a2 -O >> test.eps
#awk -F, '{print $2-'$ofs', $9}' ../proxydata/shackleton2020.csv | psxy -H3 -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
awk '{print $1*0.001, $2}' ../proxydata/motspline_bereiter2018.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BWSa2/a1g5 -O >> test.eps
#region=$yrse/-2.5/1.5
awk '{if(NR<271.5) print $1-'$ofs', $2}' ../proxydata/motspline_shackleton2020.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
awk '{if(NR>271.5) print $1-'$ofs', $2}' ../proxydata/motspline_shackleton2020.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
echo 15 -6 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps
echo 15 -6 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N -D8.5/0 >> test.eps
echo $dx1 -0.5 $fs 90 0 "MC" MOT anomaly "[\260C]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 1.5 $fs 0 0 "ML" "(g) Global Mean" | pstext -J -R -K -O -N >> test.eps
#echo $dx3 1.5 $fs 0 0 "ML" "(offset = -1\260C)" | pstext -J -R -K -O -N -Gred -D0/-0.5 >> test.eps

#region=$yrse/-8/4
#awk '{if(NR<1000) print $3*0.001,$9}' ../proxydata/domefuji2018iso-temp.txt | psxy -J$proj -R$region -H118 -K -W$wc,$c1 -BW/a4 -O -Y4 >> test.eps
#awk '{if(NR<1000) print $3*0.001-'$ofs',$9}' ../proxydata/domefuji2018iso-temp.txt | psxy -J$proj -R$region -H118 -K -W$wc,$c2 -O >> test.eps
#echo $dx1 -2 $fs 90 0 "MC" SST "[\260C]" | pstext -J -R -K -O -N >> test.eps
#echo $dx3 4 $fs 0 0 "ML" "(f) Southern Ocean" | pstext -J -R -K -O -N >> test.eps

region=$yrse/-60/-51
awk '{if(NR<1500) print $2*0.001,$3}' ../proxydata/df2017.txt | psxy -J$proj -R$region -H2 -K -W$wc,$c1 -BW/a4 -O -Y4 >> test.eps
awk '{if(NR<1500) print $2*0.001-'$ofs',$3}' ../proxydata/df2017.txt | psxy -J$proj -R$region -H2 -K -W$wc,$c2 -O >> test.eps
echo $dx1 -55.5 $fs 90 0 "MC" d18O "[\214]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 -51 $fs 0 0 "ML" "(f) Dome F, Antarctica" | pstext -J -R -K -O -N >> test.eps


region=$yrse/350/750
awk '{if(NR>22.5) print $2*0.001, $3}'  ../../insolationproxy/ch4_loulergue_et_al_2008_aocc2012.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BW/a100 -O -Y4 >> test.eps
awk '{if(NR>22.5) print $2*0.001-'$ofs', $3}'  ../../insolationproxy/ch4_loulergue_et_al_2008_aocc2012.txt | psxy -J$proj -R$region -K -W$wc,$c2 -O  >> test.eps
echo $dx1 550 $fs 90 0 "MC" "pCH4 [ppbv]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 750 $fs 0 0 "ML" "(e) Greenland" | pstext -J -R -K -O -N >> test.eps
#echo $dx3 750 $fs 0 0 "ML" "(e) Greenland " | pstext -J -R -K -O -N -D8.25/0 >> test.eps

region=$yrse/-16.5/-10
awk '{print $1,$2}' ../proxydata/roberts2010.txt | psxy -J$projr -R$region -H1 -K -W$wc,$c1 -BW/a2 -O -Y4 >> test.eps
awk '{print $1-'$ofs',$2}' ../proxydata/deaney2017.txt | psxy -J$projr -R$region -H2 -K -W$wc,$c2 -O  >> test.eps
awk '{print $1,$2}' ../proxydata/roberts2010.txt | psxy -J$projr -R$region -H1 -K -Sc0.3 -G$c1 -O  >> test.eps
awk '{print $1-'$ofs',$2}' ../proxydata/deaney2017.txt | psxy -J$projr -R$region -H2 -K -Sc0.3 -G$c2 -O  >> test.eps
echo $dx1 -13.25 $fs 90 0 "MC" @~e@~ND "[0.1\214]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 -16.5 $fs 0 0 "ML" "(d) North Atlantic" | pstext -J -R -K -O -N >> test.eps

region=$yrse/0/0.35
#NOTE: SLV proxy/model must multiply 0.91 [density ratio of ice/fw.]
awk '{print -$1-'$ofs', $3}' T2-fwfflux.txt > tmp.txt
awk '{print -$1-'$ofs', $4}' T2-fwfflux.txt | sort -n >> tmp.txt
psxy tmp.txt -J$proj2 -R$region -K -G$c2b -O -Y4 >> test.eps
awk '{if(NR>4.5) print -$1, $2*1000/500/31556926*0.91}' ../otherdata/I6_C.VM5a_fwf_uniform.txt > tmp.txt
awk '{print -$1, $2*0.91}' glac1d.txt | sort -n >> tmp.txt
psxy tmp.txt -J$proj2 -R$region -K -G$c1b -O -BW/g1a0.1 >> test.eps
cp tmp.txt ../data_publish/fig1c_pmip4.txt

awk '{print -$1*0.001-'$ofs', $2*0.91}' na_rate.txt  | psxy -J$proj2 -R$region -K -W$wc,$c2 -O >> test.eps
awk '{print -$1*0.001, $2*0.91}' na_rate.txt  | psxy -J$proj2 -R$region -K -W$wc,$c1 -O >> test.eps
#awk '{print $1,-$2}' bintanja2008.txt | psxy -J -R -K -W$wc2,$c1,--- -O >> test.eps
#awk '{print $1-'$ofs',-$2}' bintanja2008.txt | psxy -J -R -K -W$wc2,$c2,--- -O >> test.eps
#awk '{print $1,$2}' sprattlisiecki.txt | psxy -J -R -K -W$wc2,$c1,--- -O >> test.eps
#awk '{print $1-'$ofs',$2}' sprattlisiecki.txt | psxy -J -R -K -W$wc2,$c2,--- -O >> test.eps
echo $dx1 0.15 $fs 90 0 "MC" FWF [Sv] | pstext -J -R -K -O -N >> test.eps
echo $dx3 0.375 $fs 0 0 "ML" "(c) NH ice sheets" | pstext -J -R -K -O -N >> test.eps


region=$yrse/180/285
awk '{print $1*0.001, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -H138 -J$proj2 -R$region -K -W$wc,$c1 -BW/a30 -O -Y3.5 >> test.eps
awk '{print $1*0.001-'$ofs', $2}' ../proxydata/antarctica2015co2composite.txt | psxy -H138 -J$proj2 -R$region -K -W$wc,$c2 -O >> test.eps
echo $dx1 230 $fs 90 0 "MC" pCO2 "[ppm]" | pstext -J -R -K -O -N >> test.eps
echo $dx3 285 $fs 0 0 "ML" "(b)" | pstext -J -R -K -O -N >> test.eps

region=$yrse/410/490
region=$yrse/450/550
#awk '{print -$1, $6}' ../../insolationproxy/orbit91.txt | psxy -J$proj2 -R$region -K -W$wc,$c1 -BW/a30 -O -Y3.5 >> test.eps
#awk '{print -$1-'$ofs', $6}' ../../insolationproxy/orbit91.txt | psxy -J$proj2 -R$region -K -W$wc,$c2 -O >> test.eps
flag=0
if [ $flag == 1 ]; then
i=1
rm -f ins.txt
while [ $i -lt 150 ]
do
echo $i
#../../dsphr_a967/dsphr.sh -o ../../dsphr_a967/i/orbit91.dat -sp SS | awk '{if($1=="DD" && -$2=='$i') print $2, $9}' >> ins.txt
../../dsphr/dsphr_eddc/dsphr.sh -C jd -o ../../dsphr/dsphr_eddc/i/orbit91.dat -ds 6,9 -de 6,29 | awk '{if($1=="DD" && -$2=='$i') print $2, $9}' | awk '{if(m<$2) m=$2} END {print $1,m}' >> ins.txt
i=`expr $i + 1`
done
fi
awk '{print -$1, $2}' ins.txt | psxy -J$proj2 -R$region -K -W$wc,$c1 -BW/a30 -O -Y3.5 >> test.eps
awk '{print -$1-'$ofs', $2}' ins.txt | psxy -J$proj2 -R$region -K -W$wc,$c2 -O  >> test.eps
echo $dx1 510 $fs 90 0 "MC" insolation [W/m2] | pstext -J -R -K -O -N >> test.eps
echo 15 570 20 0 0 "MC" Reconstructions | pstext -J -R -K -O -N >> test.eps
echo 15 570 20 0 0 "MC" Model | pstext -J -R -K -O -N -D8.5/0 >> test.eps
echo $dx3 550 $fs 0 0 "ML" "(a)" | pstext -J -R -K -O -N >> test.eps


#MODEL
region=$yrse/-1/0.571428
awk '{print 22-$1*0.001, $3-3.13}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BSEa2/g2a0.4 -X8.25 -O -Y-23 >> test.eps
awk '{print 14-$1*0.001, $3-3.13}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,$c1  -O >> test.eps
awk '{print 22-$1*0.001, $3-3.13}' ../mirocdata/T2like2_ocn_16-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
awk '{print 14-$1*0.001, $3-3.13}' ../mirocdata/T2like2_ocn_13-9ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
echo $dx2 -0.25 $fs 90 0 "MC" MOT "[\260C]" | pstext -J -R -K -O -N >> test.eps
#awk '{print 14-$1*0.001, $3-3.13}' ../mirocdata/T2add_ocn_a2.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
dy=-1.45
for i in 20 18 16 14 12 10 #8
do
j=`expr $i + $ofs`
echo $i $dy $fs 0 0 "MC" $j | pstext -J -R -K -O -N -G$c2 >> test.eps
echo $i $dy $fs 0 0 "MC" $j | pstext -J -R -K -O -N -G$c2 -D-8.25/0 >> test.eps
done

region=$yrse/-1.2/1.2
#awk '{print 22-$1*0.001, $2-9.3}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BE/a0.6 -O -Y4 >> test.eps
#awk '{print 14-$1*0.001, $2-9.3}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,$c1  -O >> test.eps
#awk '{print 22-$1*0.001, $2-9.3}' ../mirocdata/T2like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
#awk '{print 14-$1*0.001, $2-9.3}' ../mirocdata/T2like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
#echo $dx2 0.0 $fs 90 0 "MC" SST "[\260C]" | pstext -J -R -K -O -N >> test.eps
#awk '{if($1<7000) print 22-$1*0.001, $2-9.3}' ../mirocdata/T2ORB_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps

region=$yrse/-56.5/-51.5
awk '{print 22-$1*0.001, $3}' ../mirocdata/T1like.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BE/a2 -Y4 -O>> test.eps
awk '{if($1>6000) print 22-$1*0.001, $3}' ../mirocdata/T2like2.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
#awk '{print 14-$1*0.001, $3}' ../mirocdata/T2add_a2.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
#echo $dx2 -54 $fs 90 0 "MC" DF T2 | pstext -J -R -K -O -N >> test.eps
echo $dx2 -54 $fs 90 0 "MC" SAT "[\260C]" | pstext -J -R -K -O -N >> test.eps

region=$yrse/-44/-35
awk '{print 22-$1*0.001, $2}' ../mirocdata/T1like.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BE/a2 -Y4 -O>> test.eps
awk '{if($1>6000) print 22-$1*0.001, $2}' ../mirocdata/T2like2.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
#awk '{if($1<7000) print 22-$1*0.001, $3}' ../mirocdata/T2ORB.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
#echo $dx2 -54 $fs 90 0 "MC" DF T2 | pstext -J -R -K -O -N >> test.eps
echo $dx2 -39.5 $fs 90 0 "MC" SAT "[\260C]" | pstext -J -R -K -O -N >> test.eps

awk '{print 22-$1*0.001, $2,$3}' ../mirocdata/T1like.txt > tmp1.txt
awk '{if($1>6000) print 22-$1*0.001, $2, $3}' ../mirocdata/T2like2.txt > tmp2.txt
cp tmp1.txt ../data_publish/fig1ef_miroc_T1like_atm.txt
cp tmp2.txt ../data_publish/fig1ef_miroc_T2like_atm.txt

region=$yrse/0/30
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c1 -BE/a10 -O -Y4 >> test.eps
awk '{print 14-$1*0.001, $4}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc,$c1  -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T2like2_ocn_16-13ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
awk '{print 14-$1*0.001, $4}' ../mirocdata/T2like2_ocn_13-9ka.txt | psxy -J$proj -R$region -K -W$wc,$c2  -O >> test.eps
#awk '{if($1<7000) print 22-$1*0.001, $4}' ../mirocdata/T2ORB_ocn.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
echo $dx2 15 $fs 90 0 "MC" AMOC "[Sv]" | pstext -J -R -K -O -N >> test.eps

awk '{print 22-$1*0.001, $4, $3-3.13}' ../mirocdata/T1like_ocn_21-13ka.txt > tmp1.txt
awk '{print 14-$1*0.001, $4, $3-3.13}' ../mirocdata/T1like_ocn_13-10ka.txt >> tmp1.txt
awk '{print 22-$1*0.001, $4, $3-3.13}' ../mirocdata/T2like2_ocn_16-13ka.txt > tmp2.txt
awk '{print 14-$1*0.001, $4, $3-3.13}' ../mirocdata/T2like2_ocn_13-9ka.txt >> tmp2.txt
cp tmp1.txt ../data_publish/fig1dg_miroc_T1like_ocn.txt
cp tmp2.txt ../data_publish/fig1dg_miroc_T2like_ocn.txt

region=$yrse/0/0.175
cat ../mirocdata/hosing_T1like.txt | psxy -J$proj2 -R$region -K -W$wc,$c1 -BE/g1a0.05 -O -Y4 >> test.eps
cp ../mirocdata/hosing_T1like.txt  ../data_publish/fig1c_hosing_T1like.txt
echo 16.0 0.041 > tmp.txt
echo 16.0 0.090 >> tmp.txt
echo 15.5 0.090 >> tmp.txt
echo 15.5 0.078 >> tmp.txt
echo 15.0 0.078 >> tmp.txt
echo 15.0 0.087 >> tmp.txt
echo 14.5 0.087 >> tmp.txt
echo 14.5 0.1 >> tmp.txt
echo 13.5 0.1 >> tmp.txt
echo 13.5 0.12 >> tmp.txt
echo 11.2 0.12 >> tmp.txt
echo 10.0 0.0 >> tmp.txt
echo 9.0 0.0 >> tmp.txt
#cat tmp.txt | psxy -J -R -K -W$wc,$c2 -O >> test.eps
echo 16.0 0.041 > tmp.txt
echo 16.0 0.1 >> tmp.txt
echo 13.5 0.1 >> tmp.txt
echo 13.5 0.12 >> tmp.txt
echo 11.0 0.12 >> tmp.txt
echo 11.0 0.15 >> tmp.txt
echo 10.0 0.15 >> tmp.txt
echo 10.0 0.12 >> tmp.txt
echo 9.0 0.03 >> tmp.txt
cp tmp.txt  ../data_publish/fig1c_hosing_T2like.txt
#echo 9.0 0.0 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c2 -O >> test.eps
#echo 16.0 0.08 > tmp.txt
#echo 15.0 0.08 >> tmp.txt
#cat tmp.txt | psxy -J -R -K -W$wc,$c3 -O >> test.eps
echo $dx2 0.0875 $fs 90 0 "MC" FWF "[Sv]" | pstext -J -R -K -O -N >> test.eps

region=$yrse/180/285
awk '{print $1*0.001, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -H138 -J$proj2 -R$region -K -W$wc3,$c2 -BE/a30 -O -Y3.5 >> test.eps
awk '{print $1*0.001, $2}' ../proxydata/antarctica2015co2composite.txt | psxy -H138 -J$proj2 -R$region -K -W$wc,$c1 -O >> test.eps
echo $dx2 230 $fs 90 0 "MC" pCO2 "[ppm]" | pstext -J -R -K -O -N >> test.eps

region=$yrse/450/550
#awk '{print -$1, $6}' ../../insolationproxy/orbit91.txt | psxy -J$proj2 -R$region -K -W$wc3,$c2 -BE/a30 -O -Y3.5 >> test.eps
#awk '{print -$1, $6}' ../../insolationproxy/orbit91.txt | psxy -J$proj2 -R$region -K -W$wc,$c1 -O >> test.eps
awk '{print -$1, $2}' ins.txt | psxy -J$proj2 -R$region -K -W$wc3,$c1 -BE/a30 -O -Y3.5 >> test.eps
awk '{print -$1, $2}' ins.txt | psxy -J$proj2 -R$region -K -W$wc,$c2 -O  >> test.eps
echo $dx2 510 $fs 90 0 "MC" insolation [W/m2] | pstext -J -R -K -O -N >> test.eps

convert test.eps fig1.png 
ps2pdf test.eps fig1.pdf
