#!/bin/sh
gmtset ANNOT_FONT_SIZE_PRIMARY 16
flag=0
if [ $flag == 1 ]; then
gtavr ../mirocdata/T2like2_13ka/to str=1 end=12
mv gtool.out tmp1.out
gtavr ../mirocdata/T1like_9ka/to str=1 end=12
mv gtool.out tmp2.out
gtsub tmp1.out tmp2.out
mv gtool.out gtool.in
ngtconv -f UR4 gtool.in
rm -f data
ln -s gtool.out data
cp gtool.out fig2c_dsst
ngtcf fig2c_dsst
ifort to.f90
./a.out
mv fort.92 to.txt

gtavr ../mirocdata/T2like2_13ka/T2 str=1 end=12
mv gtool.out tmp1.out
gtavr ../mirocdata/T1like_9ka/T2 str=1 end=12
mv gtool.out tmp2.out
gtsub tmp1.out tmp2.out
mv gtool.out gtool.in
ngtconv -f UR4 gtool.in
rm -f data
ln -s gtool.out data
cp gtool.out fig2c_dT2
ngtcf fig2c_dT2
ifort T2.f90
./a.out
mv fort.92 T2.txt
fi

cpt=tmp.cpt
echo -3 38 77 255 -2 38 77 255 > $cpt
echo -2 63 160 255 -1 63 160 255 >> $cpt
echo -1 114 217 255 -0.5 114 217 255 >> $cpt
echo -0.5 170 247 255 -0.2 170 247 255 >> $cpt
echo -0.2 255 255 255 0 255 255 255 >> $cpt
echo 0 255 255 255 0.2 255 255 255 >> $cpt
echo 0.2 255 224 153 0.5 255 224 153 >> $cpt
echo 0.5 255 173 114 1 255 173 114 >> $cpt
echo 1 247 109 94 2 247 109 94 >> $cpt
echo 2 216 38 50 3 216 38 50 >> $cpt
echo B 41 40 255 >> $cpt
echo F 165 0 33 >> $cpt

fs=16


gmtset BASEMAP_TYPE plain
proj=q0/35/1:385000000
gmtset PLOT_DEGREE_FORMAT +DF

awk '{if($1>180.0) print $1-360, $2, $3; else print $1,$2,$3}' T2_b.txt | surface -Gtmp.grd -R-180/180/-90/90 -I1
region=-180/180/-90/90
grdimage tmp.grd -J$proj -R$region -Ctmp.cpt -BSWnea90/a45 -K -P -X2.5 -Y2.5 > test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
grdcontour tmp.grd -J -R -C2 -K -O >> test.eps
echo 0 0 $fs 0 0 "MC" "(c) SAT [\260C], T1-like(15 to 13 ka)" | pstext -J -R -K -O -N -D0/3 -K -O >> test.eps

awk '{if($1>180.0) print $1-360, $2, $3; else print $1,$2,$3}' T2_c.txt | surface -Gtmp.grd -R-180/180/-90/90 -I1
grdimage tmp.grd -J$proj -R -Ctmp.cpt -BSwne -K -O -X9 >> test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
grdcontour tmp.grd -J -R -C2 -K -O >> test.eps
echo 0 0 $fs 0 0 "MC" "(d) SAT [\260C], T2-like(133 to 131 ka)" | pstext -J -R -K -O -N -D0/3 -K -O >> test.eps
psscale -D-0.25/-1/12/0.4h -K -O -E0.5 -N -L -C$cpt >> test.eps






#2c: heat transport
flag=0
if [ $flag == 1 ]; then
ifort fty0.f90
rm -f data
ln -s gtool.out data

gtavr ../mirocdata/T1like_21ka/fty0
mv gtool.out  gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.95 fty0_a.txt

gtavr ../mirocdata/T1like_13ka/fty0
mv gtool.out  gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.95 fty0_b.txt

gtavr ../mirocdata/T2like2_13ka/fty0
mv gtool.out  gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.95 fty0_c.txt
fi

wc=7
psxy fty0_a.txt -JX17/5.5 -R-90/90/-1.5/1.5 -BWsneg90/a0.5g2 -W$wc,black,--- -K -X-9 -Y8 -O >> test.eps
psxy fty0_b.txt -J -R -W$wc,black -K -O >> test.eps
psxy fty0_c.txt -J -R -W$wc,red -K -O >> test.eps
echo 0 1.5 $fs 0 0 "MC" "(b) Oceanic Meridional Heat Transport" | pstext -J -R -K -O -N -D0/0.7 -K -O >> test.eps
echo 0 -2.15 $fs 0 0 "MC" "Latitude" | pstext -J -R -K -O -N >> test.eps
echo -90 0 $fs 90 0 "MC" "Northward Heat Transport [PW]" | pstext -J -R -N -D-2/0 -K -O >> test.eps
echo -90 1 > tmp.txt
echo -72 1 >> tmp.txt
psxy tmp.txt -W$wc,black,--- -J -R -K -O -D0.5/0.25  -N >> test.eps
psxy tmp.txt -W$wc,black  -J -R -K -O -D0.5/-0.25  -N >> test.eps
psxy tmp.txt -W$wc,red  -J -R -K -O -D0.5/-0.75  -N >> test.eps
echo -65 1 $fs 0 0 "ML" "T1-like (21ka)" | pstext -J -R -K -O -N -D0/0.25 >> test.eps
echo -65 1 $fs 0 0 "ML" "T1-like (13ka)" | pstext -J -R -K -O -N -D0/-0.25 >> test.eps
echo -65 1 $fs 0 0 "ML" "T2-like (130ka)" | pstext -J -R -K -O -N -D0/-0.75 >> test.eps
lat=-1.8
echo -90 $lat $fs 0 0 "MC" "90\260S" > tmp.txt
echo -60 $lat $fs 0 0 "MC" "60\260S" >> tmp.txt
echo -30 $lat $fs 0 0 "MC" "30\260S" >> tmp.txt
echo 0 $lat $fs 0 0 "MC" "EQ" >> tmp.txt
echo 30 $lat $fs 0 0 "MC" "30\260N" >> tmp.txt
echo 60 $lat $fs 0 0 "MC" "60\260N" >> tmp.txt
echo 90 $lat $fs 0 0 "MC" "90\260N" >> tmp.txt
pstext -J -R -K -O -N tmp.txt >> test.eps


gmtset PLOT_DEGREE_FORMAT +DF
fs=15
psxy -JX5.5 -R-75/15/30/75 to.txt -M -L -A -C$cpt -K -Y8.5 -O >> test.eps
echo -88 75 $fs 0 0 "MC" "75\260N" > tmp.txt
echo -88 60 $fs 0 0 "MC" "60\260N" >> tmp.txt
echo -88 45 $fs 0 0 "MC" "45\260N" >> tmp.txt
echo -88 30 $fs 0 0 "MC" "30\260N" >> tmp.txt
echo -60 27 $fs 0 0 "MC" "300\260E" >> tmp.txt
echo -30 27 $fs 0 0 "MC" "330\260E" >> tmp.txt
echo 0 27 $fs 0 0 "MC" "0\260E" >> tmp.txt
pstext -J -R -K -O -N tmp.txt >> test.eps
fs=16
psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
awk '{if(NR>1.5 && NR<44.5 && $2>15 ) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.5 -Gwhite >> test.eps
awk '{if(NR>1.5 && NR<44.5 && $2>15 ) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.4 -W3,black -C$cpt  -BSWneg30/g15 >> test.eps
echo 0 0 $fs 0 0 "MC" SST "[\260C]" | pstext -Jx1 -R0/1/0/1 -K -O -N -D2.75/6 -K -O >> test.eps
echo 0 0 $fs 0 0 "MC" SST "[\260C]" | pstext -Jx1 -R0/1/0/1 -K -O -N -D8.75/6 -K -O >> test.eps
echo 0 0 $fs 0 0 "MC" SAT "[\260C]" | pstext -Jx1 -R0/1/0/1 -K -O -N -D14.75/6 -K -O >> test.eps
echo 0 0 $fs 0 0 "ML" "(a) T2-like (130ka) - T1-like (9ka)" | pstext -Jx1 -R0/1/0/1 -K -O -N -D0/6.75 -K -O >> test.eps



psxy -JS0/-90/5.5 -R225/-20/45/-20r to.txt -M -L -A -C$cpt  -K -O -X6 >> test.eps
psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
awk '{if(NR>1.5 && NR<44.5 && $2>-60 && $2<0) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.5 -Gwhite >> test.eps
awk '{if(NR>1.5 && NR<44.5 && $2>-60 && $2<0) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.4 -W3,black -C$cpt -BSWneg45/g10 >> test.eps


psxy -J -R225/-45/45/-45r T2.txt -M -L -A -C$cpt -K -O -X6 >> test.eps
#psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
psxy -J -R fort.91 -M -L -A -W3,black -K -O >> test.eps
awk '{if(NR>36.5) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.5 -Gwhite >> test.eps
awk '{if(NR>36.5) print $3,$2,$4}' ../proxydata/capron2017_130ka.txt | psxy -J -R -K -O -Sc0.4 -W3,black -C$cpt -BSWneg45/g10 >> test.eps
psscale -D-0.25/-0.25/11/0.4h -K -O -E0.5 -N -L -C$cpt >> test.eps

#cp to.txt ../data_publish/fig2c_dsst.txt
#cp T2.txt ../data_publish/fig2c_dT2.txt
cp fort.90 ../data_publish/fig2c_landmask.txt
cp fort.91 ../data_publish/fig2c_coastline.txt






convert  test.eps fig2.png

cp fty0_a.txt ../data_publish/fig2a_ocnheattransport_LGM.txt
cp fty0_b.txt ../data_publish/fig2a_ocnheattransport_T1like13ka.txt
cp fty0_c.txt ../data_publish/fig2a_ocnheattransport_T2like13ka.txt
cdo select,name=to,level=2.5 fig2c_dsst.nc tmp.nc
mv tmp.nc fig2c_dsst.nc
cp fig2c*.nc ../data_publish/








cp fig2.png test.png
