#!/bin/sh
# results of additional hosing exps. 
# 4a: BA timing, 4b: YD timing, 4c: T2ORB
gmtset ANNOT_FONT_SIZE_PRIMARY 16
proj=X-20/5
wc=8
wc2=12
region=9/21/-57/-51.5
c1=black
c2=red
c3=0/160/0  #nohose
c4=80/240/80  #earlyBA04
c5=blue     #08Sv
#c6=blue #01Sv
c7=255/50/128   #006Svcont
c8=255/128/0     #006->008cont
c9=purple     #006->008->01Svcont

dx1=22.1
fs=16

awk '{print 22-$1*0.001, $3}' ../mirocdata/T1like.txt | psxy -J$proj -R$region -K -W$wc2,$c1 -BSWnea1/a2 -K -X2.5 > test.eps
awk '{if($1>6000) print 22-$1*0.001, $3}' ../mirocdata/T2like2.txt | psxy -J$proj -R$region -K -W$wc2,red  -O >> test.eps
awk '{print 22-$1*0.001, $3}' ../mirocdata/T1sens_a.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
awk '{print 22-$1*0.001, $3}' ../mirocdata/T1sens_b.txt | psxy -J$proj -R$region -K -W$wc,$c4  -O >> test.eps
awk '{print 22-$1*0.001, $3}' ../mirocdata/T1sens_c.txt | psxy -J$proj -R$region -K -W$wc,$c5  -O >> test.eps
#awk '{print 22-$1*0.001, $3}' ../mirocdata/T1sens_d.txt | psxy -J$proj -R$region -K -W$wc,$c6  -O >> test.eps
awk '{if($1>1100) print 14-$1*0.001, $3}' ../mirocdata/T1sens_e.txt | psxy -J$proj -R$region -K -W$wc,$c7  -O >> test.eps
awk '{if($1>1900) print 14-$1*0.001, $3}' ../mirocdata/T1sens_f.txt | psxy -J$proj -R$region -K -W$wc,$c8  -O >> test.eps
awk '{if($1>3000) print 14-$1*0.001, $3}' ../mirocdata/T1sens_g.txt | psxy -J$proj -R$region -K -W$wc,$c9  -O >> test.eps
echo $dx1 -54.25 $fs 90 0 "MC" "DF SAT [\260C]" | pstext -J -R -K -O -N >> test.eps
echo 15 -58.5 $fs 0 0 "MC" Year [ka BP] | pstext -J -R -K -O -N >> test.eps

region=9/21/0/30
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1like_ocn_21-13ka.txt | psxy -J$proj -R$region -K -W$wc2,black -BWsne/a10 -Y5.5 -K -O>> test.eps
awk '{print 14-$1*0.001, $4}' ../mirocdata/T1like_ocn_13-10ka.txt | psxy -J$proj -R$region -K -W$wc2,black  -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T2like2_ocn_16-13ka.txt | psxy -J$proj -R$region -K -W$wc2,red  -O >> test.eps
awk '{print 14-$1*0.001, $4}' ../mirocdata/T2like2_ocn_13-9ka.txt | psxy -J$proj -R$region -K -W$wc2,red  -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1sens_ocn_a.txt | psxy -J$proj -R$region -K -W$wc,$c3  -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1sens_ocn_b.txt | psxy -J$proj -R$region -K -W$wc,$c4  -O >> test.eps
awk '{print 22-$1*0.001, $4}' ../mirocdata/T1sens_ocn_c.txt | psxy -J$proj -R$region -K -W$wc,$c5  -O >> test.eps
#awk '{print 22-$1*0.001, $4}' ../mirocdata/T1sens_ocn_d.txt | psxy -J$proj -R$region -K -W$wc,$c6  -O >> test.eps
awk '{if($1>1100) print 14-$1*0.001, $4}' ../mirocdata/T1sens_ocn_e.txt | psxy -J$proj -R$region -K -W$wc,$c7  -O >> test.eps
awk '{if($1>1900) print 14-$1*0.001, $4}' ../mirocdata/T1sens_ocn_f.txt | psxy -J$proj -R$region -K -W$wc,$c8  -O >> test.eps
awk '{if($1>3000) print 14-$1*0.001, $4}' ../mirocdata/T1sens_ocn_g.txt | psxy -J$proj -R$region -K -W$wc,$c9  -O >> test.eps
echo $dx1 15 $fs 90 0 "MC" "AMOC [Sv]" | pstext -J -R -K -O -N >> test.eps

proj=X-20/4
region=9/21/0/0.16
cat ../mirocdata/hosing_T1like.txt | psxy -J$proj -R$region -K -W$wc2,black -BSWne/a0.05 -Y5.5 -O >> test.eps
echo 16.0 0.041 > tmp.txt
echo 16.0 0.1 >> tmp.txt
echo 13.5 0.1 >> tmp.txt
echo 13.5 0.12 >> tmp.txt
echo 11.0 0.12 >> tmp.txt
echo 11.0 0.15 >> tmp.txt
echo 10.0 0.15 >> tmp.txt
echo 10.0 0.12 >> tmp.txt
echo 9.0 0.03 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc2,red -O >> test.eps
echo 21 0 > tmp.txt
echo 13 0 >> tmp.txt 
cat tmp.txt | psxy -J -R -K -W$wc,$c3 -O >> test.eps
echo 16.0 0.041 > tmp.txt
echo 13.0 0.041 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c4 -O >> test.eps
echo 16.0 0.06 > tmp.txt
echo 16.0 0.08 >> tmp.txt
echo 14.3 0.08 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c5 -O >> test.eps
echo 16.0 0.06 > tmp.txt
echo 16.0 0.1 >> tmp.txt
echo 13.0 0.1 >> tmp.txt
#cat tmp.txt | psxy -J -R -K -W$wc,$c6 -O >> test.eps
echo 12.9 0.06 > tmp.txt
echo 12 0.06 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c7 -O >> test.eps
echo 12.1 0.08 > tmp.txt
echo 11.9 0.08 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c8 -O >> test.eps
echo 11 0.1 > tmp.txt
echo 10 0.1 >> tmp.txt
cat tmp.txt | psxy -J -R -K -W$wc,$c9 -O >> test.eps

echo $dx1 0.0625 $fs 90 0 "MC" "FWF [Sv]" | pstext -J -R -K -O -N >> test.eps

convert -rotate 90 test.eps figs4.png 
