#!/bin/sh
gmtset GRID_PEN_PRIMARY 0.5p,,2_2:0
flag=0
if [ $flag == 1 ]; then
ifort mixedlayerdepth.f90
rm -f data
ln -s tmpdir data
ngtconv -f UR4 ../mirocdata/T2like2_13ka/to 
mv gtool.out tmpdir/to
ngtconv -f UR4 ../mirocdata/T2like2_13ka/so 
mv gtool.out tmpdir/so
./a.out 
mv fort.93 mld_T2like_13ka.txt

ngtconv -f UR4 ../mirocdata/T2like2_15ka/to 
mv gtool.out tmpdir/to
ngtconv -f UR4 ../mirocdata/T2like2_15ka/so 
mv gtool.out tmpdir/so
./a.out 
mv fort.93 mld_T2like_15ka.txt

rm -f data
ln -s gtool.out data
ifort ai.f90
ngtconv -f UR4 ../mirocdata/T2like2_15ka/ai
./a.out
mv fort.92 ai_T2like_15ka.txt

ngtconv -f UR4 ../mirocdata/T2like2_13ka/ai
./a.out
mv fort.92 ai_T2like_13ka.txt

ngtconv -f UR4 ../mirocdata/T2ORB_15ka/ai
./a.out
mv fort.92 ai_T2ORB_15ka.txt

ngtconv -f UR4 ../mirocdata/T2ORB_13ka/ai
./a.out
mv fort.92 ai_T2ORB_13ka.txt

fi
awk '{print $1,$2,$4}' ai_T1like_15ka.txt | surface -R0/360/-90/-30 -I1 -Gtmp1.grd
awk '{print $1,$2,$4}' ai_T1like_13ka.txt | surface -R0/360/-90/-30 -I1 -Gtmp2.grd
awk '{print $1,$2,$4}' ai_T2like_15ka.txt | surface -R0/360/-90/-30 -I1 -Gtmp3.grd
awk '{print $1,$2,$4}' ai_T2like_13ka.txt | surface -R0/360/-90/-30 -I1 -Gtmp4.grd


cpt=tmp.cpt
echo 300 255 173 114 400 255 173 114 > $cpt
echo 400 247 109 94 500 247 109 94 >> $cpt
echo 500 216 38 50 700 216 38 50 >> $cpt
echo B 255 255 255 >> $cpt
echo F 165 0 33 >> $cpt

wca=5
lon=0
lat=-50
fs=16

psxy -JS0/-90/7.5 -R225/-40/45/-40r mld_T2like_15ka.txt -M -L -A -C$cpt -BSWneg45/g10 -K -X1.5 > test.eps
grdcontour -J -R tmp3.grd -C0.15 -L0.1/0.2 -W$wca,black -K -O >> test.eps
psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
echo $lon $lat $fs 0 0 "MC" T2-like, 15ka | pstext -J -R -K -O -N >> test.eps
echo -90 -47.5 14 0 0 "MC" "90\260W" | pstext -j -R -K -O -N >> test.eps
echo $lon $lat $fs 0 0 "MC" "(a) Sea ice and mixed layer depth" | pstext -J -R -K -O -N -D4/0.8 >> test.eps

psxy -J -R mld_T2like_13ka.txt -M -L -A -C$cpt -BSWneg45/g10 -K -O -X8 >> test.eps
grdcontour -J -R tmp4.grd -C0.15 -L0.1/0.2 -W$wca,black -K -O >> test.eps
psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
DD=-0.5/-0.5/9/0.4h
psscale -D$DD -K -O -E1 -N -L -Ctmp.cpt >> test.eps
echo $lon $lat $fs 0 0 "MC" T2-like, 13ka | pstext -J -R -K -O -N >> test.eps


#psxy -J -R conv_T1like_15ka.txt -M -L -A -C$cpt -BSWneg45/g10 -K -O -X-9 -Y9.5 >> test.eps
#grdcontour -J -R tmp1.grd -C0.15 -L0.1/0.2 -W$wca,black -K -O >> test.eps
#psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
#psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
#echo $lon $lat $fs 0 0 "MC" T1-like, 15ka | pstext -J -R -K -O -N >> test.eps


#psxy -J -R conv_T1like_15ka.txt -M -L -A -C$cpt -BSWneg45/g10 -K -O -X9 >> test.eps
#grdcontour -J -R tmp2.grd -C0.15 -L0.1/0.2 -W$wca,black -K -O >> test.eps
#psxy -J -R fort.90 -M -L -A -G149/149/149 -K -O >> test.eps
#psxy -J -R fort.91 -M -L -A -W2,black -K -O >> test.eps
#echo $lon $lat $fs 0 0 "MC" T1-like, 13ka | pstext -J -R -K -O -N >> test.eps


echo -2 63 160 255 -1 63 160 255 > $cpt
echo -1 114 217 255 -0.5 114 217 255 >> $cpt
echo -0.5 170 247 255 -0.2 170 247 255 >> $cpt
echo -0.2 255 255 255 0 255 255 255 >> $cpt
echo 0 255 255 255 0.2 255 255 255 >> $cpt
echo 0.2 255 224 153 0.5 255 224 153 >> $cpt
echo 0.5 255 173 114 1 255 173 114 >> $cpt
echo 1 247 109 94 2 247 109 94 >> $cpt
echo B 38 77 255 >> $cpt
echo F 216 38 50 >> $cpt

proj=X10/-7.5
region=-75/-55/0/500
II=1/25
#awk '{if($1==-90.70) print $2,$3,$4}' to_T1like_15ka.txt | surface -R$region -I$II -Gtmp.grd
#psxy to_T1like_15to13.txt  -J$proj -R$region  -M -L -A -C$cpt -K -O -X9 > test.eps
#grdcontour tmp.grd -J -R -K -O -C1 -Wc2 -A1+f0+s14 -Gd5c >> test.eps
#psxy black.txt -J -R -K -O -M -L -A -G149/149/149 -BSWnea5g10/a100g100  >> test.eps
#awk '{if($1==-90.70) print $2,$3,$4}' to_T2like_15ka.txt | surface -R$region -I$II -Gtmp.grd
psxy to_T2like_15to13.txt -J$proj -R$region  -M -L -A -C$cpt -K -X9.25 -O >> test.eps
grdcontour tmp.grd -J -R -K -O -C1 -Wc2 -A1+f0+s14 -Gd5c >> test.eps
psxy black.txt -J -R -K -O -M -L -A -G149/149/149 -BSWnea5g10/a100g100 >> test.eps
DD=5/-1/9.5/0.4h
psscale -D$DD -K -O -E1 -N -L -Ctmp.cpt >> test.eps
echo -65 -40 15 0 0 "MC" "(b) Ocean Temperature along 90\260W" | pstext -J -R -K -O -N >> test.eps

convert -rotate 90 test.eps figs5.png

