#!/bin/sh

flag=1
if [ $flag == 1 ]; then
ifort to.f90
gtavr ../mirocdata/T2like_13ka/to str=1 end=12
mv gtool.out gtool.in
gtsub ../mirocdata/T2ORB_13ka/to gtool.in
mv gtool.out gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.94 tmp1.txt

gtsub ../mirocdata/T2like_13ka/to ../mirocdata/T2like_15ka/to 
gtavr gtool.out str=1 end=12
mv gtool.out gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.94 tmp2.txt

gtsub ../mirocdata/T2ORB_13ka/to ../mirocdata/T2ORB_15ka/to 
mv gtool.out gtool.in
ngtconv -f UR4 gtool.in
./a.out 
mv fort.94 tmp3.txt
fi

cpt=tmp.cpt
echo -2 38 77 255 -1 38 77 255 > $cpt
echo -1 63 160 255 -0.5 63 160 255 >> $cpt
echo -0.5 114 217 255 -0.3 114 217 255 >> $cpt
echo -0.3 170 247 255 -0.1 170 247 255 >> $cpt
echo -0.1 255 255 255 0 255 255 255 >> $cpt
echo 0 255 255 255 0.1 255 255 255 >> $cpt
echo 0.1 255 224 153 0.3 255 224 153 >> $cpt
echo 0.3 255 173 114 0.5 255 173 114 >> $cpt
echo 0.5 247 109 94 1 247 109 94 >> $cpt
echo 1 216 38 50 2 216 38 50 >> $cpt
echo B 41 40 255 >> $cpt
echo F 165 0 33 >> $cpt

proj=X8.5/-6.5
region=-80/80/0/5400
lon=0
lon2=-125
lat=-500
fs=16
awk '{print $1,$2,$4}' tmp1.txt | psxy -J$proj -R$region -M -L -A -C$cpt -BWsnea30/a1000 -K -P -Y17 -X3 > test.eps
echo $lon $lat $fs 0 0 "MC" Atlantic | pstext -J -R -K -O -N >> test.eps
echo $lon2 2700 $fs 90 0 "MC" T2ORB-T2like 13ka | pstext -J -R -K -O -N >> test.eps
awk '{print $1,$2,$5}' tmp1.txt | psxy -J -R -M -L -A -C$cpt -Bwsne -K -O -X9 >> test.eps
echo $lon $lat $fs 0 0 "MC" Pacific + Indian Ocean | pstext -J -R -K -O -N >> test.eps

awk '{print $1,$2,$4}' tmp2.txt | psxy -J$proj -R$region -M -L -A -C$cpt -BWsnea30/a1000 -K -O -X-9 -Y-7 >> test.eps
echo $lon2 2700 $fs 90 0 "MC" T2like 15-13ka | pstext -J -R -K -O -N >> test.eps

awk '{print $1,$2,$5}' tmp2.txt | psxy -J -R -M -L -A -C$cpt -Bwsne -K -O -X9 >> test.eps

awk '{print $1,$2,$4}' tmp3.txt | psxy -J -R -M -L -A -C$cpt -BWSnea30/a1000 -K -O -X-9 -Y-7 >> test.eps
echo $lon2 2700 $fs 90 0 "MC" T2ORB 15-13ka | pstext -J -R -K -O -N >> test.eps

awk '{print $1,$2,$5}' tmp3.txt | psxy -J -R -M -L -A -C$cpt -BSwnea30/ -K -O -X9 >> test.eps
#psxy -J -R tozonalmean_T2ORB_21to15.txt -M -L -A -C$cpt -BWSnea30/a1000 -K -O -X-9 -Y-7 >> test.eps
#psxy -J -R tozonalmean_T2ORB_15to13.txt -M -L -A -C$cpt -BSwnea30/ -K -O -X9 >> test.eps
psscale -D-0.25/-1/14/0.4h -K -O -E1  -N -L -C$cpt >> test.eps
convert test.eps figs6.png

